%define languageenglazy Upper Sorbian
%define languagecode    hsb
%define lc_ctype        hsb_DE

%define upstream_version 20060327

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.3
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://sorbzilla.de/
Source0:        https://addons.mozilla.org/en-US/firefox/downloads/file/21550/upper_sorbian_spelling_dictionary-0.%{version}-tb+fx+sm.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hsb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# Nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build


%install
install -D -m 0644 -p dictionaries/hsb.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/hsb.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.20060327.3-12.mga9
+ Revision: 1801411
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20060327.3-11.mga8
+ Revision: 1491314
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20060327.3-10.mga7
+ Revision: 1263087
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20060327.3-9.mga6
+ Revision: 942733
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20060327.3-8.mga5
+ Revision: 744132
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20060327.3-7.mga5
+ Revision: 680251
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20060327.3-6.mga4
+ Revision: 505604
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20060327.3-5.mga3
+ Revision: 353499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20060327.3-4.mga3
+ Revision: 325397
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20060327.3-3.mga2
+ Revision: 224672
- add requirement on locales (mga#4632)

* Fri Jan 20 2012 kamil <kamil> 0.20060327.3-2.mga2
+ Revision: 198815
- adapt .spec to the current policies

* Fri Jul 08 2011 ahmad <ahmad> 0.20060327.3-1.mga2
+ Revision: 120146
- Update to 20060327.3

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20060327.2-4.mga1
+ Revision: 68834
- imported package hunspell-hsb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060327.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060327.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060327.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 3 2008 Caolan McNamara <caolanm@redhat.com> - 0.20060327.2-1
- initial version
